## progress-linux 20190101

=== Makefile ===
# Copyright (C) 2010-2019 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT := progress-linux

all: build

clean: clean-pgp clean-ssh

clean-pgp:
	# clean pgp keyrings
	rm -f pgp-keys/*/*.gpg
	rm -f pgp-keys/*.gpg

clean-ssh:
	# clean ssh keyrings
	rm -f ssh-keys/*.pub

build: build-pgp build-ssh

build-pgp: pgp-keys/*/*.pub
	# build pgp keyrings
	for KEY in $$(ls pgp-keys/*/*.pub); \
	do \
		OUTPUT="$$(dirname $${KEY})/$$(basename $${KEY} .pub).gpg"; \
		echo "Creating $${OUTPUT}..."; \
		gpg --output $${OUTPUT} --dearmor $${KEY}; \
	done

	for DIRECTORY in $$(ls -d pgp-keys/*/); \
	do \
		OUTPUT="pgp-keys/$$(basename $${DIRECTORY}).gpg"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.gpg); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

build-ssh: ssh-keys/*/*.pub
	# build ssh keyrings
	for DIRECTORY in $$(ls -d ssh-keys/*/); \
	do \
		OUTPUT="ssh-keys/$$(basename $${DIRECTORY}).pub"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.pub); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

test: test-pgp test-ssh

test-pgp: pgp-keys/*/*.sig
	# test pgp keyrings
	for SIG in $$(ls pgp-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --verify $${SIG}; \
	done

test-ssh: ssh-keys/*/*.sig
	# test ssh keyrings
	for SIG in $$(ls ssh-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --verify $${SIG}; \
	done

install: install-doc install-man install-pgp install-ssh

install-doc:
	# install doc
	mkdir -p $(DESTDIR)/usr/share/doc/$(PROJECT)
	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)

install-man:
	# install manpages
	for SECTION in $$(seq 1 8); \
	do \
		if ls manpages/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp manpages/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

install-pgp: build-pgp
	# install pgp keyrings
	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
	cp pgp-keys/*.gpg $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys

install-ssh: build-ssh
	# install ssh keyrings
	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
	cp ssh-keys/*.pub $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys

uninstall: uninstall-doc uninstall-man uninstall-pgp uninstall-ssh

uninstall-doc:
	# uninstall doc
	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)

uninstall-man:
	# uninstall manpages
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in manpages/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

uninstall-pgp:
	# uninstall pgp keyrings
	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
	-rmdir --parents $(DESTDIR)/usr/share/$(PROJECT)

uninstall-ssh:
	# uninstall ssh keyrings
	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
	-rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PROJECT)

reinstall: clean uninstall build install
