=== debian/changelog ===
progress-linux (20190101-11) sid; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.
  * Adding updated Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #947137).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 21 Jan 2020 22:06:20 +0100

progress-linux (20190101-10) sid; urgency=medium

  * Uploading to sid.
  * Adding updated debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #945388).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 08 Dec 2019 21:47:44 +0100

progress-linux (20190101-9) sid; urgency=medium

  * Uploading to sid.
  * Using pin priority 100 for backports if the corresponding base release
    has not been selected in progress-linux apt sources handling.
  * Updating to standards version 4.4.1.
  * Switching to deb822 format for apt sources lists.
  * Generalizing debconf handling.
  * Adding mirror selection.
  * Adding todo file.
  * Using codenames as upload targets in changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 18 Nov 2019 17:35:40 +0100

progress-linux (20190101-8) sid; urgency=medium

  * Uploading to sid.
  * Remove apt keyring leftover symlink, not required anymore by using
    signed-by now.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 13 Sep 2019 22:09:04 +0200

progress-linux (20190101-7) sid; urgency=medium

  * Uploading to sid.
  * Using signed-by in sources.list instead of symlinking keyring into apt
    keyring.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 13 Sep 2019 21:52:58 +0200

progress-linux (20190101-6) sid; urgency=medium

  * Uploading to sid.
  * Symlinking archive key instead of copying it.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 10 Aug 2019 15:36:55 +0200

progress-linux (20190101-5) sid; urgency=medium

  * Uploading to sid.
  * Adding provides to progress-linux-gpg-keys.
  * Updating to standards version 4.4.0.
  * Generalizing distribution handling in debconf.
  * Adding support for Progress Linux 6 (fuchur).
  * Handling /etc/debian_version on Progress Linux backports
    distributions.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 17 Jul 2019 21:20:06 +0200

progress-linux (20190101-4) sid; urgency=medium

  * Uploading to sid.
  * Adding initial French debconf translations from Jean-Pierre Giraud
    <jean-pierregiraud@neuf.fr> (Closes: #923380).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Feb 2019 21:57:52 +0100

progress-linux (20190101-3) sid; urgency=medium

  * Uploading to sid.
  * Harmonizing package descriptions.
  * Updating URL in watch file.
  * Removing overwriting of the default values in debconf handling.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Feb 2019 03:14:11 +0100

progress-linux (20190101-2) sid; urgency=medium

  * Uploading to sid.
  * Silencing rmdir in postrm.
  * Using cdn redirector as default sources.list entry.
  * Updating upstream download urls.
  * Dynamically showing distribution specific repositories to setup.
  * Adding initial Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #922231).
  * Adding initial Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #922480).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 18 Feb 2019 18:46:29 +0100

progress-linux (20190101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190101.
  * Updating debhelper files for new upstream version.
  * Adding upstream signing key.
  * Updating package descriptions.
  * Building with dh_missing --fail-missing.
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 06 Feb 2019 21:35:22 +0100

progress-linux (20181201-4) sid; urgency=high

  * Uploading to sid.
  * Removing apt-transport-https from depends, it's now a transitional
    package and not needed anymore.
  * Adding intial German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #921144).
  * Adding initial Portuguese debconf translations from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #921219).
  * Adding multi-arch fields in control.
  * Adding enhances fields in control.
  * Adding entry about target distribution to changelog.
  * Adding watch file.
  * Updating source url in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Feb 2019 06:23:04 +0100

progress-linux (20181201-3) sid; urgency=medium

  * Uploading to sid.
  * Moving TODO file into upstream.
  * Disabling test for now as it needs proper handling of the gnupg
    homedir for buildds first.
  * Adding enhances field.
  * Splitting choices for translation in debconf templates.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 30 Jan 2019 03:34:24 +0100

progress-linux (20181201-2) sid; urgency=medium

  * Uploading to sid.
  * Adding support for restricted archive area.
  * Removing superfluous whitespace in archive areas when configuring apt
    sources.list entries.
  * Updating debconf priorities from low to high.
  * Showing archive areas debconf question only when at least one archive
    has previously been selected.
  * Installing all available apt keys.
  * Adding ssh_known_hosts handling.
  * Generalizing config script.
  * Generalizing postinst script.
  * Adding postrm script to remove apt and ssh configuration.
  * Updating TODO file.
  * Updating package description.
  * Updating debconf templates.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 29 Jan 2019 21:04:15 +0100

progress-linux (20181201-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 29 Jan 2019 05:29:25 +0100
