=== debian/control ===
Source: progress-linux
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 12),
 gnupg,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://progress-linux.org
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux

Package: progress-linux
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ca-certificates,
 progress-linux-pgp-keys,
 progress-linux-ssh-keys,
 ${misc:Depends},
Enhances:
 apt,
 openssh-server,
Description: Progress Linux - Setup
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package allows one to setup the Progress Linux apt archives and ssh
 cert-authority to the current system.

Package: progress-linux-pgp-keys
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Provides:
 progress-linux-gpg-keys,
Enhances:
 apt,
Description: Progress Linux - PGP Keys
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package contains the PGP keys used to verify digital signatures on
 packages and images.

Package: progress-linux-ssh-keys
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Enhances:
 openssh-server,
Description: Progress Linux - SSH Keys
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package contains the SSH keys used to verify digital signatures on host
 keys.
