=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	# disabled

override_dh_auto_test:
	# disabled

override_dh_auto_install:
	dh_auto_install

	# removing useless files
	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
	rm -f debian/tmp/usr/share/doc/*/VERSION.txt

override_dh_missing:
	dh_missing --fail-missing
