## progress-linux 20210101

=== debian/changelog ===
progress-linux (20210101-2) sid; urgency=medium

  * Uploading to sid.
  * Adding initial Brazilian Portuguese debconf translations from Jorge
    Neto <jorge.fln20@gmail.com> and Adriano Rafael Gomes
    <adrianorg@debian.org> (Closes: #986501).
  * Adding initial Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #987667).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 18 Jul 2021 09:14:43 +0200

progress-linux (20210101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210101.
  * Updating years in copyright file for 2021.
  * Updating to standards version 4.5.1.
  * Switching from cdn.deb.progress-linux.org to deb.progress-linux.org as main
    redirector address.
  * Updating TODO file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 09 Feb 2021 15:53:47 +0100

progress-linux (20201001-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20201001.
  * Sharpening generated apt preferences by using both origin and suite
    values for pinning.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 01 Oct 2020 18:51:31 +0200

progress-linux (20190101-14) sid; urgency=medium

  * Uploading to sid.
  * Adding updated Portuguese debconf translations from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #962406).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 14 Jun 2020 11:16:42 +0200

progress-linux (20190101-13) sid; urgency=medium

  * Uploading to sid.
  * Updating to debhelper version 13.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Apr 2020 14:10:13 +0200

progress-linux (20190101-12) sid; urgency=medium

  * Uploading to sid.
  * Using execute_after targets in rules to be explicit what we're doing.
  * Adding updated Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #951441).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 21 Mar 2020 15:38:01 +0100
