=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gnupg,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://progress-linux.org
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
