=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 override_dh_auto_test:
 	# disabled
 
-override_dh_auto_install:
-	dh_auto_install
-
+execute_after_dh_auto_install:
 	# removing useless files
 	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
 	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
