## progress-linux 20211008

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2010-2019 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2021 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
