=== debian/changelog ===
progress-linux (20211008-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211008.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 08 Oct 2021 20:17:14 +0200

progress-linux (20210101-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.
  * Making distribution detection and version handling more robust.
  * Adding support for Debian 12 (bookworm).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 27 Aug 2021 06:18:01 +0200
