=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  gnupg,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://progress-linux.org
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
