## progress-linux 20221212

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2010-2021 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2022 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -13,11 +13,14 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 SHELL := sh -e
 
 PROJECT := progress-linux
+SOFTWARE := progress-linux
+
+VERSION := $(shell cat VERSION.txt)
 
 all: build
 
@@ -87,8 +90,8 @@
 
 install-doc:
 	# install doc
-	mkdir -p $(DESTDIR)/usr/share/doc/$(PROJECT)
-	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)
+	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
+	cp *.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 
 install-man:
 	# install manpages
@@ -103,19 +106,19 @@
 
 install-pgp: build-pgp
 	# install pgp keyrings
-	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
-	cp pgp-keys/*.gpg $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
+	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)/pgp-keys
+	cp pgp-keys/*.gpg $(DESTDIR)/usr/share/$(SOFTWARE)/pgp-keys
 
 install-ssh: build-ssh
 	# install ssh keyrings
-	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
-	cp ssh-keys/*.pub $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
+	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)/ssh-keys
+	cp ssh-keys/*.pub $(DESTDIR)/usr/share/$(SOFTWARE)/ssh-keys
 
 uninstall: uninstall-doc uninstall-man uninstall-pgp uninstall-ssh
 
 uninstall-doc:
 	# uninstall doc
-	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)
+	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 
 uninstall-man:
 	# uninstall manpages
@@ -130,12 +133,36 @@
 
 uninstall-pgp:
 	# uninstall pgp keyrings
-	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
-	-rmdir --parents $(DESTDIR)/usr/share/$(PROJECT)
+	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)/pgp-keys
+	-rmdir --parents $(DESTDIR)/usr/share/$(SOFTWARE)
 
 uninstall-ssh:
 	# uninstall ssh keyrings
-	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
-	-rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PROJECT)
+	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)/ssh-keys
+	-rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(SOFTWARE)
 
 reinstall: clean uninstall build install
+
+distclean: clean
+	rm -rf $(SOFTWARE)-$(VERSION)
+
+release: distclean
+	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
+	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true
+
+	mkdir -p $(SOFTWARE)-$(VERSION)
+	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(SOFTWARE)-$(VERSION) -exec cp \-a {} $(SOFTWARE)-$(VERSION) \;
+
+	for FORMAT in xz lzip; \
+	do \
+		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
+		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} $(SOFTWARE)-$(VERSION); \
+		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} > ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sha512; \
+		gpg --default-key 0x3E6CA28DAAF8DD14 --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
+		mv ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.asc ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sig; \
+	done
+
+	rm -rf $(SOFTWARE)-$(VERSION)
+
+upload:
+	scp ../$(SOFTWARE)-$(VERSION).* get.progress-linux.org:/srv/get.progress-linux.org/packages/$(SOFTWARE)/upstream
