=== debian/changelog ===
progress-linux (20221212-3) sid; urgency=medium

  * Uploading to sid.
  * Adding non-free-firmware archive area.
  * Adding support for Progress Linux 9.0 (illuan).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Feb 2023 15:36:08 +0100

progress-linux (20221212-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Adding updated Brazilian Portuguese debconf translations from Paulo
    Henrique de Lima Santana (phls) <phls@debian.org> (Closes: #1028012).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 18 Jan 2023 09:55:45 +0100

progress-linux (20221212-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221212.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 13 Dec 2022 11:17:29 +0100

progress-linux (20221001-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221001.
  * Updating to standards-version 4.6.1.
  * Updating copyright notices for 2022.
  * Using https links in GPL reference in copyright.
  * Correcting wording of ssh-keys package description.
  * Fixing incomplete graograman support.
  * Adding support for Progress Linux 8 (horok).
  * Relaxing wording in comments in rules.
  * Correcting file pattern for key files in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 02 Oct 2022 10:40:03 +0200
