=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  gnupg,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://progress-linux.org
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
@@ -59,5 +59,4 @@
  Progress Linux is a Debian derivative distribution focused on system
  integration.
  .
- This package contains the SSH keys used to verify digital signatures on host
- keys.
+ This package contains the SSH keys used for hosts and maintainers.
