=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://get.progress-linux.org/packages/progress-linux/upstream/progress-linux-(.+)\.tar\.lz
