## progress-linux 20240420

=== debian/changelog ===
progress-linux (20240420-4) sid; urgency=medium

  * Uploading to sid.
  * Using dot after major version in progress-linux version handling for
    consistency.
  * Adding legacy handling for non-free/non-free-firmware archive areas so
    that the same package can be used on all support releases.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 28 Apr 2024 13:16:26 +0200

progress-linux (20240420-3) sid; urgency=medium

  * Uploading to sid.
  * Updating depends to pgp-keys to ensure keyring names in debconf
    handling match the names of the nenamed keyring.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 20 Apr 2024 17:45:27 +0200

progress-linux (20240420-2) sid; urgency=medium

  * Uploading to sid.
  * Using all archive areas for test repositories.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 20 Apr 2024 17:37:06 +0200

progress-linux (20240420-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20240420.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Updating keyring filename for new upstream version.
  * Updating version strings for backports suites to match current schema.
  * Adding test repositories to debconf selection.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 20 Apr 2024 17:25:10 +0200
