## progress-linux 20250601

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2010-2022 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2024 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -75,7 +75,7 @@
 	for SIG in $$(ls pgp-keys/*/*.sig); \
 	do \
 		echo "Verifying $${SIG}..."; \
-		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --verify $${SIG}; \
+		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --keyring /usr/share/keyrings/debian-maintainers.gpg --verify $${SIG}; \
 	done
 
 test-ssh: ssh-keys/*/*.sig
@@ -83,7 +83,7 @@
 	for SIG in $$(ls ssh-keys/*/*.sig); \
 	do \
 		echo "Verifying $${SIG}..."; \
-		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --verify $${SIG}; \
+		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --keyring /usr/share/keyrings/debian-maintainers.gpg --verify $${SIG}; \
 	done
 
 install: install-doc install-man install-pgp install-ssh
