=== debian/changelog ===
progress-linux (20250601-3) sid; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:18:18 +0200

progress-linux (20250601-2) sid; urgency=medium

  * Also supporting pre-releases with major version only in their
    derivative files.
  * Removing support for pre-trixie/pre-horok releases.
  * Adding support for duke/jicha releases.
  * Using static path of progress-linux_version file instead of dynamic
    path wrt/ base-files/os-identification.

 -- Daniel Baumann <daniel@debian.org>  Thu, 04 Sep 2025 08:32:19 +0200

progress-linux (20250601-1) sid; urgency=medium

  * Correcting public-domain identifier in copyright.
  * Merging upstream version 20250601.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 03 Jun 2025 15:48:16 +0200
