=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  gnupg,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://progress-linux.org
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
@@ -17,7 +17,7 @@
 Multi-Arch: foreign
 Depends:
  ca-certificates,
- progress-linux-pgp-keys,
+ progress-linux-pgp-keys (>= 20240420),
  progress-linux-ssh-keys,
  ${misc:Depends},
 Enhances:
