=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	# disabled
 
 execute_after_dh_auto_install:
-	# removing useless files
+	# removing unused files
 	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
 	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
 	rm -f debian/tmp/usr/share/doc/*/VERSION.txt
