=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://apt.progress-linux.org/archive/upstream/progress-linux/progress-linux-(.+)\.tar\.lz
