## progress-linux 20260205

=== Makefile ===
# Progress Linux

# Copyright (C) 2006-2026 Daniel Baumann <daniel@debian.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT := progress-linux
VERSION := $(shell cat VERSION.txt)

all: build

clean: clean-man clean-pgp clean-ssh

clean-man:
	$(MAKE) -C man clean

clean-pgp:
	rm -f pgp-keys/*/*.pgp
	rm -f pgp-keys/*.pgp

clean-ssh:
	rm -f ssh-keys/*.pub

build: build-man build-pgp build-ssh

build-man:
	$(MAKE) -C man build

build-pgp: pgp-keys/*/*.pub
	for KEY in $$(ls pgp-keys/*/*.pub); \
	do \
		OUTPUT="$$(dirname $${KEY})/$$(basename $${KEY} .pub).pgp"; \
		echo "Creating $${OUTPUT}..."; \
		gpg --output $${OUTPUT} --dearmor $${KEY}; \
	done

	for DIRECTORY in $$(ls -d pgp-keys/*/); \
	do \
		OUTPUT="pgp-keys/$$(basename $${DIRECTORY}).pgp"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.pgp); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

build-ssh: ssh-keys/*/*.pub
	for DIRECTORY in $$(ls -d ssh-keys/*/); \
	do \
		OUTPUT="ssh-keys/$$(basename $${DIRECTORY}).pub"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.pub); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

test: test-pgp test-ssh

test-pgp: pgp-keys/*/*.sig
	for SIG in $$(ls pgp-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.pgp --keyring /usr/share/keyrings/debian-maintainers.pgp --verify $${SIG}; \
	done

test-ssh: ssh-keys/*/*.sig
	for SIG in $$(ls ssh-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.pgp --keyring /usr/share/keyrings/debian-maintainers.pgp --verify $${SIG}; \
	done

install: install-doc install-man install-pgp install-ssh

install-doc:
	mkdir -p $(DESTDIR)/usr/share/doc/$(PROJECT)
	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)

install-man: build-man
	for SECTION in $$(seq 1 8); \
	do \
		if ls man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

install-pgp: build-pgp
	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
	cp pgp-keys/*.pgp $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys

install-ssh: build-ssh
	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
	cp ssh-keys/*.pub $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys

uninstall: uninstall-doc uninstall-man uninstall-pgp uninstall-ssh
	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true

uninstall-doc:
	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc || true

uninstall-man:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

uninstall-pgp:
	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
	-rmdir --parents $(DESTDIR)/usr/share/$(PROJECT)

uninstall-ssh:
	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
	-rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PROJECT)

reinstall: clean uninstall build install

release: clean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir -p $(PROJECT)-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(PROJECT)-$(VERSION) -exec cp \-a {} $(PROJECT)-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../$(PROJECT)-$(VERSION).tar.$${EXTENSION} $(PROJECT)-$(VERSION); \
		sha512sum ../$(PROJECT)-$(VERSION).tar.$${EXTENSION} > ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.sha512; \
		gpg --default-key 00xFBB4F0E80A80222 --armor -b ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}; \
		mv ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.asc ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.sig; \
	done

	rm -rf $(PROJECT)-$(VERSION)

upload:
	scp ../$(PROJECT)-$(VERSION).* apt.progress-linux.org:/srv/apt.progress-linux.org/archive/upstream/$(PROJECT)
