=== debian/changelog ===
progress-linux (20260205-1) sid; urgency=medium

  * Merging upstream version 20260205.
  * Harmonizing email addresses.
  * Removing Rules-Requires-Root, not needed anymore.
  * Updating to standards version 4.7.3.
  * Updating vcs fields.
  * Updating copyright file.
  * Updating upstream sigining-key.
  * Adding initial Catalan debconf translations from Carles Pina i Estany
    <carles@pina.cat> (Closes: #1119653).
  * Refreshing templates.pot.
  * Updating watch file to version 5.
  * Switching keyrings extension from gpg to pgp.
  * Removing manual dh_missing in rules, default now.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2026 20:49:17 +0100
