=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: progress-linux
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  gnupg,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://progress-linux.org
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
+Vcs-Browser: https://git.progress-linux.org/debian/progress-linux
+Vcs-Git: https://git.progress-linux.org/debian/progress-linux
 
 Package: progress-linux
 Section: admin
@@ -17,7 +16,7 @@
 Multi-Arch: foreign
 Depends:
  ca-certificates,
- progress-linux-pgp-keys (>= 20240420),
+ progress-linux-pgp-keys (>= 20260205),
  progress-linux-ssh-keys,
  ${misc:Depends},
 Enhances:
@@ -36,8 +35,6 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
-Provides:
- progress-linux-gpg-keys,
 Enhances:
  apt,
 Description: Progress Linux - PGP Keys
