=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,3 @@
 	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
 	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
 	rm -f debian/tmp/usr/share/doc/*/VERSION.txt
-
-override_dh_missing:
-	dh_missing --fail-missing
