=== debian/watch ===
Version: 5

Source: https://apt.progress-linux.org/archive/upstream/@PACKAGE@
